phing-tasks-ext-pdo

# Class: PDOSQLExecFormatterElement Source Location: /tasks/ext/pdo/PDOSQLExecFormatterElement.php
### Class Overview
A class to represent the nested <formatter> element for PDO SQL results. #### Author(s): Hans Lellelid <hans@xmpl.org> | ### Methods __construct createParam getAppend getFormatter getOutfile getUseFile prepare setAppend setClassName setColdelim setEncoding setFormatOutput setOutfile setRowdelim setShowheaders setType setUseFile
### Class Details [line 35] A class to represent the nested <formatter> element for PDO SQL results. This class is inspired by the similarly-named class in the PHPUnit tasks. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
since: | 2.3.0
[ Top ] ### Class Methods ### constructor __construct [line 113]
`PDOSQLExecFormatterElement __construct( PDOSQLExecTask $parentTask)`
Construct a new PDOSQLExecFormatterElement with parent task. #### Tags:
access: | public
#### Parameters:
PDOSQLExecTask | $parentTask |
[ Top ] ### method createParam [line 122]
`Parameter createParam( )`
Supports nested <param> element (for custom formatter classes). #### Tags:
access: | public
[ Top ] ### method getAppend [line 252]
`boolean getAppend( )`
Whether output should be appended to file. #### Tags:
access: | public
[ Top ] ### method getFormatter [line 309]
`PDOResultFormatter getFormatter( )`
Gets the formatter that has been configured based on this element. [ Top ] ### method getOutfile [line 231]
`PhingFile getOutfile( )`
Get the output file. [ Top ] ### method getUseFile [line 215]
`boolean getUseFile( )`
Return whether to write formatter results to file. [ Top ] ### method prepare [line 147]
`void prepare( )`
Configures wrapped formatter class with any attributes on this element. #### Tags:
access: | public
[ Top ] ### method setAppend [line 244]
`void setAppend( boolean $append)`
whether output should be appended to or overwrite an existing file. Defaults to false. #### Tags:
access: | public
#### Parameters:
boolean | $append |
[ Top ] ### method setClassName [line 198]
`void setClassName( string $className)`
Set classname for a custom formatter (must extend PDOResultFormatter). #### Parameters:
string | $className |
[ Top ] ### method setColdelim [line 269]
`void setColdelim( string $v)`
Sets the column delimiter. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setEncoding [line 285]
`void setEncoding( string $v)`
Set the DOM document encoding. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setFormatOutput [line 292]
`void setFormatOutput( boolean $v)`
#### Tags:
access: | public
#### Parameters:
boolean | $v |
[ Top ] ### method setOutfile [line 223]
`void setOutfile( $outfile, PhingFile $outFile)`
Sets the output file for the formatter results. #### Parameters:
PhingFile | $outFile |
PhingFile | $outfile |
[ Top ] ### method setRowdelim [line 277]
`void setRowdelim( string $v)`
Sets the row delimiter. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setShowheaders [line 261]
`void setShowheaders( boolean $showheaders)`
Print headers for result sets from the statements; optional, default true. #### Tags:
access: | public
#### Parameters:
boolean | $showheaders |
[ Top ] ### method setType [line 183]
`void setType( string $type)`
Sets the formatter type. #### Parameters:
string | $type |
[ Top ] ### method setUseFile [line 207]
`void setUseFile( boolean $useFile)`
Set whether to write formatter results to file. #### Parameters:
boolean | $useFile |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:25 +0200 by phpDocumentor 1.4.3